Bug 1215693 - Fix iPXE support
Summary: Fix iPXE support
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-27 13:54 UTC by Vít Ondruch
Modified: 2019-11-27 19:05 UTC (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:05:23 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNU Savannah 45853 0 None None None Never

Description Vít Ondruch 2015-04-27 13:54:10 UTC
Description of problem:
Trying to boot Fedora using iPXE from GRUB [1], it does not work. Following the manual how to add the boot menu item, the boot fails with the "kernel too old" message. Failure with similar symptoms was already reported as bug 894300.

This is probably caused due to iPXE kernel reporting its version as 1.0.0+:

$ file /boot/bfo.lkrn 
/boot/bfo.lkrn: Linux kernel x86 boot executable bzImage, version 1.0.0+ (a937), RO-rootFS,

$ file /boot/vmlinuz-3.18.7-200.fc21.x86_64 
/boot/vmlinuz-3.18.7-200.fc21.x86_64: Linux kernel x86 boot executable bzImage, version 3.18.7-200.fc21.x86_64 (mockbuild@bkernel02.phx2.fedoraproject., RO-rootFS, swap_dev 0x5, Normal VGA

This is rather naive to check some Kernel features by its version. How many features are backported into RHEL Kernel versions? Could you please decide if required functionality is available by other means?

BTW I originally reported the issue against fedora-infrastructure [2].


[1] http://boot.fedoraproject.org/
[2] https://fedorahosted.org/fedora-infrastructure/ticket/4437


Version-Release number of selected component (if applicable):
$ rpm -q grub2
grub2-2.02-0.13.fc21.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jan Kurik 2015-07-15 14:14:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Vít Ondruch 2015-09-01 08:02:54 UTC
Ping, any news here?

Comment 3 Vít Ondruch 2015-09-22 13:27:31 UTC
This is upstream response:

> Wed 16 Sep 2015 04:20:48 PM GMT, comment #7:
>
> linuxefi does not exist upstream; it is vendor patch and each vendor carries slightly different version. You need to raise this with Fedora; I have no way to even test it.
>
> Sorry.

Comment 4 Fedora End Of Life 2016-11-24 11:44:10 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Vít Ondruch 2016-11-25 16:05:59 UTC
This was not probably fixed ...

Comment 6 Fedora End Of Life 2017-02-28 09:43:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Fedora End Of Life 2018-05-03 08:51:26 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Vít Ondruch 2018-05-03 10:07:12 UTC
Any news here?

Comment 9 Jan Kurik 2018-08-14 10:23:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 10 Ben Cotton 2019-10-31 20:51:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2019-11-27 19:05:23 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.